## Font Info

Font Info — Font metadata

## Functions

FontManagerFontInfo * | font_manager_font_info_new ()

## Properties

char * | checksum | Read / Write
char * | copyright | Read / Write
char * | description | Read / Write
char * | designer | Read / Write
char * | designer-url | Read / Write
char * | family | Read / Write
char * | filepath | Read / Write
char * | filesize | Read / Write
char * | filetype | Read / Write
int | findex | Read / Write
int | fsType | Read / Write
char * | license-data | Read / Write
char * | license-type | Read / Write
char * | license-url | Read / Write
int | n-glyphs | Read / Write
int | owner | Read / Write
JsonArray * | panose | Read / Write
char * | psname | Read / Write
JsonObject * | source-object | Read / Write
char * | style | Read / Write
char * | vendor | Read / Write
char * | version | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_FONT_INFO
| FontManagerFontInfo

## Object Hierarchy

        GObject
        ╰── FontManagerJsonProxy
            ╰── FontManagerFontInfo

## Includes

    #include <font-manager-font-info.h>

## Description

FontManagerFontInfo holds detailed metadata for a single font.

The JsonObject backing this class should have the following structure:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23

    {
      "filepath" : string,
      "findex" : int,
      "family" : string,
      "style" : string,
      "owner" : int,
      "psname" : string,
      "filetype" : string,
      "n-glyphs" : int,
      "copyright" : string,
      "version" : string,
      "description" : string,
      "license-data" : string,
      "license-url" : string,
      "vendor" : string,
      "designer" : string,
      "designer-url" : string,
      "license-type" : string,
      "fsType" : int,
      "filesize" : string,
      "checksum" : string,
      "panose": JsonArray of ints,
    }

## Functions

### font_manager_font_info_new ()

    FontManagerFontInfo *
    font_manager_font_info_new (void);

#### Returns

A newly created FontManagerFontInfo. Free the returned object using ``g_object_unref()``.

[transfer full]

## Types and Values

### FONT_MANAGER_TYPE_FONT_INFO

    #define FONT_MANAGER_TYPE_FONT_INFO (font_manager_font_info_get_type())

### FontManagerFontInfo

    typedef struct _FontManagerFontInfo FontManagerFontInfo;

## Property Details

### The `“checksum”` property

      “checksum”                 char *

MD5 checksum.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“copyright”` property

      “copyright”                char *

Copyright notice.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“description”` property

      “description”              char *

Design description.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“designer”` property

      “designer”                 char *

Name of font designer.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“designer-url”` property

      “designer-url”             char *

Designer homepage.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“family”` property

      “family”                   char *

Family name.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“filepath”` property

      “filepath”                 char *

Filepath.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“filesize”` property

      “filesize”                 char *

Size on disk.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“filetype”` property

      “filetype”                 char *

Font format.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“findex”` property

      “findex”                   int

Face index.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: 0

### The `“fsType”` property

      “fsType”                   int

Embedding restrictions.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: 0

### The `“license-data”` property

      “license-data”             char *

Embedded license data.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“license-type”` property

      “license-type”             char *

License type.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“license-url”` property

      “license-url”              char *

License URL.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“n-glyphs”` property

      “n-glyphs”                 int

Number of glyphs.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: 0

### The `“owner”` property

      “owner”                    int

Whether file is writable by user.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: 0

### The `“panose”` property

      “panose”                   JsonArray *

Panose information as a JsonArray.

Owner: FontManagerFontInfo

Flags: Read / Write

### The `“psname”` property

      “psname”                   char *

PostScript name.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“source-object”` property

      “source-object”            JsonObject *

JsonObject source for this class.

Owner: FontManagerFontInfo

Flags: Read / Write

### The `“style”` property

      “style”                    char *

Style.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“vendor”` property

      “vendor”                   char *

Font foundry name.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

### The `“version”` property

      “version”                  char *

Font version.

Owner: FontManagerFontInfo

Flags: Read / Write

Default value: NULL

## See Also

FontManagerJsonProxy